SDL_UserEvent Struct Reference

A user-defined event type (event.user.*) More...

`#include <SDL_events.h>`

## Data Fields

Uint32 | type
Uint32 | timestamp
Uint32 | windowID
Sint32 | code
void * | data1
void * | data2

## Detailed Description

A user-defined event type (event.user.*)

Definition at line 527 of file SDL_events.h.

## Field Documentation

## code

Sint32 SDL_UserEvent::code

User defined event code

Definition at line 532 of file SDL_events.h.

Referenced by events_pushPumpAndPollUserevent().

## data1

void* SDL_UserEvent::data1

User defined data pointer

Definition at line 533 of file SDL_events.h.

Referenced by events_pushPumpAndPollUserevent().

## data2

void* SDL_UserEvent::data2

User defined data pointer

Definition at line 534 of file SDL_events.h.

Referenced by events_pushPumpAndPollUserevent().

## timestamp

Uint32 SDL_UserEvent::timestamp

In milliseconds, populated using SDL_GetTicks()

Definition at line 530 of file SDL_events.h.

## type

Uint32 SDL_UserEvent::type

SDL_USEREVENT through SDL_LASTEVENT-1

Definition at line 529 of file SDL_events.h.

## windowID

Uint32 SDL_UserEvent::windowID

The associated window if any

Definition at line 531 of file SDL_events.h.

The documentation for this struct was generated from the following file:

- include/SDL_events.h